<?php
/**
 * Template part for displaying archive posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ogma
 */

$custom_post_class = '';
if ( ! has_post_thumbnail() ) {
	$custom_post_class = 'no-thumbnail';
}

$archive_page_style = ogma_get_customizer_option_value( 'archive_page_style' );

if ( 'archive-style--classic' === $archive_page_style ) {
	$thumb_size = 'full';
} else {
	$thumb_size = 'ogma-block-medium';
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $custom_post_class ); ?>>

	<div class="post-thumbnail-wrap">
        <?php ogma_post_thumbnail( $thumb_size ); ?>
        <?php ogma_the_estimated_reading_time(); ?>
    </div>
	
	<div class="ogma-post-content-wrap"> 
	    <div class="post-cats-wrap">
	        <?php ogma_the_post_categories_list( get_the_ID(), 1 ); ?>
	    </div><!-- .post-cats-wrap -->

		<header class="entry-header">
			<?php
			if ( is_singular() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif;

			if ( 'post' === get_post_type() ) :
			?>
				<div class="entry-meta">
					<?php
						ogma_posted_on();
						ogma_posted_by();
						ogma_post_comment();
					 	ogma_entry_footer();
					?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->

		<?php
			get_template_part( 'template-parts/partials/post/content' );

			$archive_post_readmore_enable = ogma_get_customizer_option_value( 'archive_post_readmore_enable' );

			if ( false !== $archive_post_readmore_enable ) {
				get_template_part( 'template-parts/partials/post/read-more' );
			}
			
		?>
	</div> <!-- post-content-wrapper -->

</article><!-- #post-<?php the_ID(); ?> -->
